<?php

/*----------------------------------------------------------+
| PHP-Fusion Content Management System                      |
| Copyright (C) 2002 - 2010 Nick Jones                      |
| http://www.php-fusion.co.uk/                              |
+-----------------------------------------------------------+
| This program is released as free software under the       |
| Affero GPL license. You can redistribute it and/or        |
| addonify it under the terms of this license which you     |
| can read by viewing the included agpl.txt or online       |
| at http://www.gnu.org/licenses/agpl.html. Removal of this |
| copyright header is strictly prohibited without           |
| written permission from the original author(s).           |
+----------------------------------------------------------*/

/*----------------------------------------------------------+
|             Notepad Theme for PHP-Fusion v7               |
+-----------------------------------------------------------+
| Filename: theme.php                                       |
| Author: Ankur Thakur                                      |
| Author Web: http://ankurthakur.co.cc/                     |
|             http://www.php-fusion.in/                     |
+-----------------------------------------------------------+
| This theme is released under the terms and conditions     |
| of the GNU Affero GPL v3.                                 |
+----------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&#187;</span>");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<br /><table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='full-header'>\n".showbanners()."</td>\n";
	echo "</tr>\n</table>\n";
	/*echo "		
<ul id='nav'>
<div align='left'>
<form name='search' method='post' action='search.php?stype=n'><font color='#FFFFFF'><b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Search site : </b></font></span>
	<input type='textbox' value='' name='stext' class='textbox' style='width:130px' onBlur=\"if(this.value=='') this.value='Aramak Yapin';\" onFocus=\"if(this.value=='Arama yapin') this.value='';\"> 
	<input type='submit' name='search' value='Search' class='button'><font color='#FBEDA7'>
	<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<em>FRACTALS</em></b></font></span></form></td>
</ul></div>
";*/
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	//echo "<td class='sub-header'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	
echo "
<ul id='nav'>
<div align='center'>
	<li class='top'><a href='".BASEDIR."index.php' class='top_link'><span>Home</span></a></li>
   	<li class='top'><a href='".BASEDIR."articles.php' class='top_link'><span>Arykuły</span></a></li>
	<li class='top'><a href='".BASEDIR."downloads.php' class='top_link'><span>Download</span></a></li>
	<li class='top'><a href='".BASEDIR."forum/index.php' class='top_link'><span>Forum</span></a></li>
	<li class='top'><a href='".BASEDIR."photogallery.php' class='top_link'><span>Galeria</span></a></li>
	<li class='top'><a href='".BASEDIR."weblinks.php' class='top_link'><span>Linki</span></a></li>
	<li class='top'><a href='".BASEDIR."news_cats.php' class='top_link'><span>Kategorie newsów</span></a></li>
    
</ul></div>
";


  echo "<div id='uyemenu'>
       <center><font color='#000000'>
       <form name='loginform' method='post' action='setuser.php'>Login :
       <input type='text' name='user_name' class='textbox' style='width:100px'> Hasło
       <input type='password' name='user_pass' class='textbox' style='width:100px'> 
       <input type='submit' name='login' value='  Logind  ' class='button'>
       <a href='".BASEDIR."register.php'><font color='#000000'>Zarejestruj się</font></a>
       <a href='".BASEDIR."lostpassword.php'><font color='#000000'>Zapomniałeś hasła?</font></a>
       </form></center></div> ";
 
 
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='left' class='sub-header'>&nbsp;".showrendertime()."</td>\n";
	echo "<td align='center' class='sub-header'>Theme Designed by <a href='http://ankurthakur.co.cc/' target='_blank' class='white'><b>Ankur Thakur</b></a></td>\n";
	echo "<td align='right' class='sub-header'>".showcounter()."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);
	if (!$license) { echo "<br />\n".showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n</table><br />\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='spiral'></td>\n</tr>\n";
	echo "<tr>\n<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newscat($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articlecat($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='spiral'></td>\n</tr>\n";
	echo "<tr>\n<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table><br />\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='spiral'></td>\n</tr>\n";
	echo "<tr>\n<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table><br />\n";

}
?>
